﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TelerikWebForm.aspx.cs" Inherits="TelerikWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <%--Needed for JavaScript IntelliSense in VS2010--%>
            <%--For VS2008 replace RadScriptManager with ScriptManager--%>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
        </Scripts>
    </telerik:RadScriptManager>
    <script type="text/javascript">
        function pageLoad() {
            var food = [

            { "Name": "Jalepeno", "Temp": "HOT" },
                { "Name": "Serano", "Temp": "HOT" },
                { "Name": "Bell Pepper", "Temp": "MILD" }
            ];
            for (var i = 0; i < food.length; i++) {
                var node = food[i].Name;
                var parent = food[i].Temp;
                addNode(parent, node);
            }

        }

        function addNode(parent, node) {
            var treeView = $find("<%= RadTreeView1.ClientID %>");
            var hasParent = treeView.findNodeByText(parent);
            if (hasParent == null) {
                treeView.trackChanges();
                var newNodeParent = new Telerik.Web.UI.RadTreeNode();
                newNodeParent.set_text(parent);
                var newNodeChild = new Telerik.Web.UI.RadTreeNode();
                newNodeChild.set_text(node);
                treeView.get_nodes().add(newNodeParent);
                newNodeParent.get_nodes().add(newNodeChild)
                treeView.commitChanges();
            }
            else {
                treeView.trackChanges();
                var newNode = new Telerik.Web.UI.RadTreeNode();
                newNode.set_text(node);
                hasParent.get_nodes().add(newNode);
                treeView.commitChanges();
            }
        }

    </script>
    <div>
        <telerik:RadTreeView runat="server" ID="RadTreeView1">
        </telerik:RadTreeView>
    </div>
    </form>
</body>
</html>
